<html>
<head>
<meta http-equiv="Content-Language" content="ja">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Author" content="Zend Japan">
<meta http-equiv="Description" content="データの挿入例">
<title>sample06</title>
</head>
<body>
<?php
//DB接続
require_once 'inc/dbconn.inc';
//トランザクション制御を利用する場合はdb2_connectの第4引数の配列に
//'autocommit' => DB2_AUTOCOMMIT_OFF を指定します。
//さらに、下記1-3のいずれかが必要です。
// 1. i5_commit値を第4引数の配列で指定
// 2. php.iniでibm_db2.i5_allow_commit = 1 を指定
// 3. SQLコマンド SET TRANSACTION ISOLATION LEVEL READ COMMITTED 実行
//記載例
//$my_opt = array('i5_lib' => 'ZTESTL',
//                'autocommit' => DB2_AUTOCOMMIT_OFF,
//                'i5_commit'  => DB2_I5_TXN_SERIALIZABLE)

//改行
$eol = "\r\n";

//テスト用PF
$test_pf = 'ZTESTF';

$val_cola = 'T001';
$val_colo = 'あ1あ';
$val_colj = 'Ａ';
$val_colp = -123.45;
$val_cols = -9.87;

$query = 'INSERT INTO ' . $test_pf .
" VALUES('$val_cola', '$val_colo', '$val_colj', $val_colp, $val_cols)";

$result = db2_exec($db_con, $query);
if(!$result){
	echo 'SQLが実行できませんでした<br>' . $eol;
    echo $query;
	echo db2_stmt_errormsg();
}else{
	echo '実行したSQL<BR>' . $eol;
	echo $query;
}

db2_close($db_con);

?>
</body>
</html>